Subject: Re: [RRG] Renumbering...

From: Scott Brim <[email-masked]>
Date: Tue, 26 Aug 2008 13:56:51 -0400

On 8/25/08 5:04 PM, Eliot Lear allegedly wrote:
>  Hi Scott,

I'm leaving all this in in case it's useful for context, but please see
the bottom.

> 
> Scott Brim wrote:
>> I'm going to reply to this whole thread in one message.
>>
>> To start with, what is a "mapping provider"?  There are three different
>> functions that seem to be getting conflated:
>>
>>   a. EID prefix allocation (assuming we mean LISP)
>>   b. advertisement of where to find a mapping (aka mapping "indexing")
>>   c. providing/getting a mapping (for example the ALT)
>>
>> Based on some previous discussion, I think when you say "mapping
>> provider" you mean (b), indexing, i.e. advertisement of where to obtain
>> a mapping for a prefix.  However, I am not sure, since other parts of
>> this thread seem to combine that with prefix allocation.
>>   
> 
> A perfectly reasonable answer to your question is, (d) all of the above ;-)
> 
>>> It's not so clear.  It depends on where aggregation occurs.  Also, keep
>>> in mind that the primary function of a mapping provider is to provide a
>>> stable EID prefix, so this sort of change should be extremely rare!!
>>>     
>> "provide a stable EID prefix" ... Which definition of "mapping provider"
>> is this?  The original allocator of the prefix (my (a) above)?
>>   
> 
> Using your functional breakdown above, (b+c).  However, (b+c) is
> necessarily tied to (a) at some point because ALT relies on aggregation
> to scale.  I am not saying that this needs to occur at the first level
> of the topology, or perhaps even at the 2nd, but that it is something
> that should be studied and may change over time with operational experience.
>> Tony: There is no reason why there should be a single ALT aggregator
>> node responsible for a prefix, and good reasons why there should be
>> more.  There would be at least two, or more, for redundancy.  A site
>> would connect to all, and all would advertise an aggregated prefix
>> including the site's prefix, further into the ALT.
>>   
> 
> Whoever advertises a prefix should best maintain consistent policies. 
> Otherwise weird things can happen.  For instance, if the prefix is
> disaggregated in some way, longest match first would shift traffic.  If
> payment models are tied to traffic, routing tables would explode.  So
> let's say that would be one policy that the *owner* of a prefix may wish
> to impose.  Is the owner IANA, an RIR, or one of these top level
> aggregators?  Or is it the end user?
> 
>> ALT aggregators are "clustered" in the sense that they connect to other ALT
>> nodes that are responsible for longer or shorter prefixes in their
>> branch of the ALT tree.  Geography has nothing to do with it.  
> 
> I mentioned geographic independence because at different times ALT
> configuration proposals have arisen that are not geographically
> independent.  I think that would be a mistake.  But see below.
> 
>> On the
>> other hand it is extremely likely that prefix allocation will (continue
>> to be) on a regional basis, as the RIRs are today, in which case the ALT
>> aggregators for a particular prefix could easily all be in the same region.
> 
> I agree it is possible, which is why I wrote that I believe this is an
> area for further study.  At some point we leave the realm of technical
> and enter the realm of business and political.  ALT providers at the top
> level will advertise aggregates, to be sure.  

"ALT provider"?  Is an ALT provider an operator of an ALT aggregator?
If so, then yes an ALT aggregator "at the top" of the ALT aggregation
hierarchy (if there is one) would advertise aggregated prefixes in BGP.
 But ...

> Those aggregates need to
> be allocated from someone, to be sure.  If an ALT provider can be other
> than an RIR with the RIRs still existing as a function, then perhaps
> that is the ultimate case where your (a) and (b+c) above are split,
> where this non-RIR then has to either fulfill the role of an RIR by
> providing allocations to the layers below, 

But it's not an RIR, so it doesn't allocate prefixes, it just routes
them on the ALT.

> or has to arrange with the
> appropriate RIRs that the appropriate allocations are made based on
> provider. 

I still see this as putting the cart before the horse and I must be
missing something.  "Based on provider" means "based on ALT provider",
right?  An ALT provider is someone who provides at least part of the
ALT?  So far so good?  But providing part of the ALT basically just
means you run BGP on one or more routers and forward Map-Requests on a
VRF.  What does it mean to allocate EID prefixes "based on provider"?
If that means allocating them according to which ALT nodes the site is
connected to, that's exactly the opposite of what should happen.  The
site should connect to particular ALT routers based on its prefixes.  I
guess we're using words differently.

Scott

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg